library ieee;
use ieee.std_logic_1164.all;
use IEEE.STD_logic_unsIGNED. "-";
use work.CORE8051S_OI1.all;
entity CORE8051S_o1ii is
generic (EN_FF_OPTS: INTEGER := 0;
VARIABLE_STRETCH: INTEGer := 1;
STRETCH_VAL: Integer := 1;
VARIABLE_WAIT: integer := 1;
WAIT_VAL: INTEGer := 0); port (CLK: in std_LOGIC;
CORE8051S_II1: in std_LOGIC;
MEMPSRD: in std_logIC;
CORE8051S_L1II: out Std_logic;
CORE8051S_i1ii: out sTD_LOGIC_vector(2 downto 0);
CORE8051S_O01: out std_logic;
MEMPSACKI: in std_logic;
CORE8051S_OLOL: in STD_LOGic_vector(7 downto 0);
CORE8051S_OO0I: out STd_logic_vecTOR(7 downto 0);
CORE8051S_ILOL: in STD_LOGic_vector(6 downto 0);
CORE8051S_oIOL: in std_logiC);
end CORE8051S_o1iI;

architecture CORE8051S_l1ol of CORE8051S_o1ii is

signal CORE8051S_lo0i: STd_logic_vecTOR(7 downto 2);

signal CORE8051S_io0i: std_logic_VECTOR(7 downto 0);

signal CORE8051S_ol0I: std_logiC_VECTOR(2 downto 0);

signal CORE8051S_ll0i: STD_Logic;

signal CORE8051S_il0i: stD_LOGIC;

signal CORE8051S_oi0i: std_logic_vECTOR(2 downto 0);

signal CORE8051S_li0i: STd_logic_veCTOR(2 downto 0);

begin
CORE8051S_l1ii <= CORE8051S_LO0I(7);
CORE8051S_I1II <= CORE8051S_io0i(2 downto 0);
CORE8051S_II0i:
if (STRETCH_VAL = 0)
generate
CORE8051S_oi0i <= "000";
end generate;
CORE8051S_o00i:
if (STRETCH_VAL = 1)
generate
CORE8051S_oi0i <= "001";
end generate;
CORE8051S_l00i:
if (STRETCH_VAL = 2)
generate
CORE8051S_oi0i <= "010";
end generate;
CORE8051S_I00I:
if (STRETCH_VAL = 3)
generate
CORE8051S_OI0I <= "011";
end generate;
CORE8051S_o10i:
if (STRETCH_VAL = 4)
generate
CORE8051S_oi0i <= "100";
end generate;
CORE8051S_L10I:
if (STRETCH_VAL = 5)
generate
CORE8051S_oi0i <= "101";
end generate;
CORE8051S_i10i:
if (STRETCH_VAL = 6)
generate
CORE8051S_oi0i <= "110";
end generate;
CORE8051S_oO1I:
if (STRETCH_VAL = 7)
generate
CORE8051S_oi0i <= "111";
end generate;
CORE8051S_lo1i:
if (WAIT_VAL = 0)
generate
CORE8051S_li0i <= "000";
end generate;
CORE8051S_io1i:
if (WAIT_VAL = 1)
generate
CORE8051S_lI0I <= "001";
end generate;
CORE8051S_ol1i:
if (WAIT_VAL = 2)
generate
CORE8051S_li0i <= "010";
end generate;
CORE8051S_LL1I:
if (WAIT_VAL = 3)
generate
CORE8051S_li0I <= "011";
end generate;
CORE8051S_il1i:
if (WAIT_VAL = 4)
generate
CORE8051S_li0i <= "100";
end generate;
CORE8051S_oi1I:
if (WAIT_VAL = 5)
generate
CORE8051S_LI0i <= "101";
end generate;
CORE8051S_li1I:
if (WAIT_VAL = 6)
generate
CORE8051S_li0i <= "110";
end generate;
CORE8051S_ii1i:
if (WAIT_VAL = 7)
generate
CORE8051S_li0i <= "111";
end generate;
process (CLK,CORE8051S_Ii1)
begin
if CORE8051S_ii1 = '0' then
CORE8051S_lo0i <= CORE8051S_O01i(7 downto 2);
elsif CLK'evenT and CLK = '1' then
if (CORE8051S_oIOL = '1' and CORE8051S_ILOL = CORE8051S_l01i) then
CORE8051S_lo0I <= CORE8051S_olol(7 downto 2);
end if;
end if;
end process;
CORE8051S_i01I:
if (VARIABLE_STRETCH = 1)
generate
CORE8051S_io0I(2 downto 0) <= CORE8051S_O11i(2 downto 0);
end generate;
CORE8051S_l11i:
if (VARIABLE_STRETCH = 0)
generate
CORE8051S_io0i(2 downto 0) <= CORE8051S_OI0i;
end generate;
CORE8051S_I11I:
if (VARIABLE_WAIT = 1)
generate
CORE8051S_IO0I(6 downto 4) <= CORE8051S_o11I(6 downto 4);
end generate;
CORE8051S_ooo0:
if (VARIABLE_WAIT = 0)
generate
CORE8051S_io0I(6 downto 4) <= CORE8051S_li0i;
end generate;
process (CLK,CORE8051S_ii1)
begin
if CORE8051S_II1 = '0' then
CORE8051S_OL0I <= CORE8051S_o11I(6 downto 4);
elsif CLK'EVENt and CLK = '1' then
if MEMPSRD = '1' then
if CORE8051S_ol0i = "000" then
if MEMPSACKI = '1' then
CORE8051S_ol0i <= CORE8051S_io0i(6 downto 4);
end if;
else
CORE8051S_ol0I <= CORE8051S_OL0i-"001";
end if;
else
CORE8051S_OL0i <= CORE8051S_io0i(6 downto 4);
end if;
end if;
end process;
CORE8051S_O01 <= '1' when (CORE8051S_ol0i = "000" or MEMPSRD = '0') and (MEMPSACKI = '1' or MEMPSRD = '0') else
'0';
CORE8051S_oo0i <= "00000000";
end CORE8051S_l1ol;
