-- Version: 8.5 8.5.0.34

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity M1AFS_ADV_8051S_TUT_TOP is

    port( SW0          : in    std_logic;
          EXT_RAM_CS_N : out   std_logic;
          EXT_RAM_RD_N : out   std_logic;
          EXT_RAM_WR_N : out   std_logic;
          MEMADDR16    : out   std_logic;
          TCK          : in    std_logic;
          TDI          : in    std_logic;
          TMS          : in    std_logic;
          TRSTN        : in    std_logic;
          TDO          : out   std_logic;
          VAREF        : inout std_logic := 'Z';
          TX           : out   std_logic;
          RX           : in    std_logic;
          AV0          : in    std_logic;
          AV1          : in    std_logic;
          AV8          : in    std_logic;
          SRAM_BHE0_N  : out   std_logic;
          SRAM_BLE0_N  : out   std_logic;
          SRAM_BHE1_N  : out   std_logic;
          SRAM_BLE1_N  : out   std_logic;
          AV2          : in    std_logic;
          AV3          : in    std_logic;
          AV4          : in    std_logic;
          AV5          : in    std_logic;
          AV6          : in    std_logic;
          AV7          : in    std_logic;
          AV9          : in    std_logic;
          AC0          : in    std_logic;
          AT0          : in    std_logic;
          AC1          : in    std_logic;
          AT1          : in    std_logic;
          AC2          : in    std_logic;
          AT2          : in    std_logic;
          AC3          : in    std_logic;
          AT3          : in    std_logic;
          AC4          : in    std_logic;
          AT4          : in    std_logic;
          AC5          : in    std_logic;
          AT5          : in    std_logic;
          AC6          : in    std_logic;
          AT6          : in    std_logic;
          AC7          : in    std_logic;
          AT7          : in    std_logic;
          AC8          : in    std_logic;
          AT8          : in    std_logic;
          AC9          : in    std_logic;
          AT9          : in    std_logic;
          ATRETURN0    : in    std_logic;
          ATRETURN1    : in    std_logic;
          ATRETURN2    : in    std_logic;
          ATRETURN3    : in    std_logic;
          ATRETURN4    : in    std_logic;
          MEMADDR17    : out   std_logic;
          EXTCLK       : in    std_logic;
          NSYSRESET    : in    std_logic;
          MEMADDR18    : out   std_logic;
          MEMADDR19    : out   std_logic;
          SRAM_CE2     : out   std_logic;
          Flash_CE0    : out   std_logic;
          Flash_CE1    : out   std_logic;
          Flash_CE2    : out   std_logic;
          Flash_CE3    : out   std_logic;
          Flash_CE4    : out   std_logic;
          Flash_CE5    : out   std_logic;
          Flash_RST_N  : out   std_logic;
          Flash_OE_N   : out   std_logic;
          Flash_WE_N   : out   std_logic;
          Flash_VPEN   : out   std_logic;
          Flash_BYTE_1 : out   std_logic;
          Flash_BYTE_2 : out   std_logic;
          MEMADDR      : out   std_logic_vector(15 downto 0);
          dataOut      : out   std_logic_vector(3 downto 0);
          dataIn       : in    std_logic_vector(3 downto 0);
          EXT_DATA     : inout std_logic_vector(7 downto 0) := (others => 'Z')
        );

end M1AFS_ADV_8051S_TUT_TOP;

architecture DEF_ARCH of M1AFS_ADV_8051S_TUT_TOP is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component Memory
    port( CLK          : in    std_logic := 'U';
          NVM_BUSY_N   : out   std_logic;
          EXT_RAM_CS_N : out   std_logic;
          EXT_RAM_RD_N : out   std_logic;
          EXT_RAM_WR_N : out   std_logic;
          SW0          : in    std_logic := 'U';
          MEMRD        : in    std_logic := 'U';
          MEMWR        : in    std_logic := 'U';
          PSRD         : in    std_logic := 'U';
          PSWR         : in    std_logic := 'U';
          A16          : out   std_logic;
          NVM_STATUS   : out   std_logic_vector(1 downto 0);
          WD           : in    std_logic_vector(7 downto 0) := (others => 'U');
          RD           : out   std_logic_vector(7 downto 0);
          ADD          : in    std_logic_vector(17 downto 0) := (others => 'U');
          EXT_DATA     : inout   std_logic_vector(7 downto 0)
        );
  end component;

  component Core8051S_sub
    port( SYSCLK     : in    std_logic := 'U';
          AV0        : in    std_logic := 'U';
          AC0        : in    std_logic := 'U';
          AG0        : out   std_logic;
          AT0        : in    std_logic := 'U';
          AV1        : in    std_logic := 'U';
          AC1        : in    std_logic := 'U';
          AG1        : out   std_logic;
          AT1        : in    std_logic := 'U';
          AV2        : in    std_logic := 'U';
          AC2        : in    std_logic := 'U';
          AG2        : out   std_logic;
          AT2        : in    std_logic := 'U';
          AV3        : in    std_logic := 'U';
          AC3        : in    std_logic := 'U';
          AG3        : out   std_logic;
          AT3        : in    std_logic := 'U';
          AV4        : in    std_logic := 'U';
          AC4        : in    std_logic := 'U';
          AG4        : out   std_logic;
          AT4        : in    std_logic := 'U';
          AV5        : in    std_logic := 'U';
          AC5        : in    std_logic := 'U';
          AG5        : out   std_logic;
          AT5        : in    std_logic := 'U';
          AV6        : in    std_logic := 'U';
          AC6        : in    std_logic := 'U';
          AG6        : out   std_logic;
          AT6        : in    std_logic := 'U';
          AV7        : in    std_logic := 'U';
          AC7        : in    std_logic := 'U';
          AG7        : out   std_logic;
          AT7        : in    std_logic := 'U';
          AV8        : in    std_logic := 'U';
          AC8        : in    std_logic := 'U';
          AG8        : out   std_logic;
          AT8        : in    std_logic := 'U';
          AV9        : in    std_logic := 'U';
          AC9        : in    std_logic := 'U';
          AG9        : out   std_logic;
          AT9        : in    std_logic := 'U';
          ATRETURN0  : in    std_logic := 'U';
          ATRETURN1  : in    std_logic := 'U';
          ATRETURN2  : in    std_logic := 'U';
          ATRETURN3  : in    std_logic := 'U';
          ATRETURN4  : in    std_logic := 'U';
          VAREF      : inout   std_logic;
          GNDREF     : in    std_logic := 'U';
          MEMPSACKI  : in    std_logic := 'U';
          MEMACKI    : in    std_logic := 'U';
          MEMPSRD    : out   std_logic;
          MEMWR      : out   std_logic;
          MEMRD      : out   std_logic;
          TCK        : in    std_logic := 'U';
          TMS        : in    std_logic := 'U';
          TDI        : in    std_logic := 'U';
          TDO        : out   std_logic;
          TRSTN      : in    std_logic := 'U';
          BREAKIN    : in    std_logic := 'U';
          BREAKOUT   : out   std_logic;
          TRIGOUT    : out   std_logic;
          AUXOUT     : out   std_logic;
          DBGMEMPSWR : out   std_logic;
          RX         : in    std_logic := 'U';
          TX         : out   std_logic;
          MOVX       : out   std_logic;
          EXTIRQ     : in    std_logic := 'U';
          NSYSRESET  : in    std_logic := 'U';
          MEMDATAI   : in    std_logic_vector(7 downto 0) := (others => 'U');
          MEMDATAO   : out   std_logic_vector(7 downto 0);
          MEMADDR    : out   std_logic_vector(15 downto 0);
          MEMBANK    : in    std_logic_vector(3 downto 0) := (others => 'U');
          dataOut    : out   std_logic_vector(31 downto 0);
          dataIn     : in    std_logic_vector(31 downto 0) := (others => 'U')
        );
  end component;

  component clk_pll
    port( POWERDOWN : in    std_logic := 'U';
          CLKA      : in    std_logic := 'U';
          LOCK      : out   std_logic;
          GLA       : out   std_logic;
          OADIVRST  : in    std_logic := 'U'
        );
  end component;

  component reset_delay
    port( Shiften  : in    std_logic := 'U';
          Shiftin  : in    std_logic := 'U';
          Aclr     : in    std_logic := 'U';
          Clock    : in    std_logic := 'U';
          Shiftout : out   std_logic
        );
  end component;

  component INBUF
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

    signal clk_pll_0_GLA, clk_pll_0_LOCK, 
        Core8051S_sub_1_DBGMEMPSWR, 
        \Core8051S_sub_1_MEMDATAO_[7]\, 
        \Core8051S_sub_1_MEMDATAO_[6]\, 
        \Core8051S_sub_1_MEMDATAO_[5]\, 
        \Core8051S_sub_1_MEMDATAO_[4]\, 
        \Core8051S_sub_1_MEMDATAO_[3]\, 
        \Core8051S_sub_1_MEMDATAO_[2]\, 
        \Core8051S_sub_1_MEMDATAO_[1]\, 
        \Core8051S_sub_1_MEMDATAO_[0]\, Core8051S_sub_1_MEMPSRD, 
        Core8051S_sub_1_MEMRD, Core8051S_sub_1_MEMWR, INBUF_0_Y, 
        \MEMADDR_[15]\, \MEMADDR_[14]\, \MEMADDR_[13]\, 
        \MEMADDR_[12]\, \MEMADDR_[11]\, \MEMADDR_[10]\, 
        \MEMADDR_[9]\, \MEMADDR_[8]\, \MEMADDR_[7]\, 
        \MEMADDR_[6]\, \MEMADDR_[5]\, \MEMADDR_[4]\, 
        \MEMADDR_[3]\, \MEMADDR_[2]\, \MEMADDR_[1]\, 
        \MEMADDR_[0]\, Memory_0_NVM_BUSY_N, \Memory_0_RD_[7]\, 
        \Memory_0_RD_[6]\, \Memory_0_RD_[5]\, \Memory_0_RD_[4]\, 
        \Memory_0_RD_[3]\, \Memory_0_RD_[2]\, \Memory_0_RD_[1]\, 
        \Memory_0_RD_[0]\, reset_delay_0_Shiftout, GND_net, 
        VCC_net : std_logic;
    signal nc24, nc1, nc8, nc13, nc30, nc16, nc19, nc25, nc20, 
        nc27, nc9, nc22, nc28, nc14, nc5, nc21, nc15, nc3, nc10, 
        nc7, nc17, nc4, nc12, nc2, nc23, nc18, nc26, nc6, nc29, 
        nc11 : std_logic;

begin 

    SRAM_BHE0_N <= VCC_net;
    SRAM_BLE0_N <= GND_net;
    SRAM_BHE1_N <= VCC_net;
    SRAM_BLE1_N <= VCC_net;
    MEMADDR17 <= GND_net;
    MEMADDR18 <= GND_net;
    MEMADDR19 <= GND_net;
    SRAM_CE2 <= VCC_net;
    Flash_CE0 <= VCC_net;
    Flash_CE1 <= VCC_net;
    Flash_CE2 <= VCC_net;
    Flash_CE3 <= VCC_net;
    Flash_CE4 <= VCC_net;
    Flash_CE5 <= VCC_net;
    Flash_RST_N <= GND_net;
    Flash_OE_N <= VCC_net;
    Flash_WE_N <= VCC_net;
    Flash_VPEN <= VCC_net;
    Flash_BYTE_1 <= VCC_net;
    Flash_BYTE_2 <= VCC_net;
    MEMADDR(15) <= \MEMADDR_[15]\;
    MEMADDR(14) <= \MEMADDR_[14]\;
    MEMADDR(13) <= \MEMADDR_[13]\;
    MEMADDR(12) <= \MEMADDR_[12]\;
    MEMADDR(11) <= \MEMADDR_[11]\;
    MEMADDR(10) <= \MEMADDR_[10]\;
    MEMADDR(9) <= \MEMADDR_[9]\;
    MEMADDR(8) <= \MEMADDR_[8]\;
    MEMADDR(7) <= \MEMADDR_[7]\;
    MEMADDR(6) <= \MEMADDR_[6]\;
    MEMADDR(5) <= \MEMADDR_[5]\;
    MEMADDR(4) <= \MEMADDR_[4]\;
    MEMADDR(3) <= \MEMADDR_[3]\;
    MEMADDR(2) <= \MEMADDR_[2]\;
    MEMADDR(1) <= \MEMADDR_[1]\;
    MEMADDR(0) <= \MEMADDR_[0]\;

    \VCC\ : VCC
      port map(Y => VCC_net);
    
    \GND\ : GND
      port map(Y => GND_net);
    
    Memory_0 : Memory
      port map(CLK => clk_pll_0_GLA, NVM_BUSY_N => 
        Memory_0_NVM_BUSY_N, EXT_RAM_CS_N => EXT_RAM_CS_N, 
        EXT_RAM_RD_N => EXT_RAM_RD_N, EXT_RAM_WR_N => 
        EXT_RAM_WR_N, SW0 => SW0, MEMRD => Core8051S_sub_1_MEMRD, 
        MEMWR => Core8051S_sub_1_MEMWR, PSRD => 
        Core8051S_sub_1_MEMPSRD, PSWR => 
        Core8051S_sub_1_DBGMEMPSWR, A16 => MEMADDR16, 
        NVM_STATUS(1) => nc24, NVM_STATUS(0) => nc1, WD(7) => 
        \Core8051S_sub_1_MEMDATAO_[7]\, WD(6) => 
        \Core8051S_sub_1_MEMDATAO_[6]\, WD(5) => 
        \Core8051S_sub_1_MEMDATAO_[5]\, WD(4) => 
        \Core8051S_sub_1_MEMDATAO_[4]\, WD(3) => 
        \Core8051S_sub_1_MEMDATAO_[3]\, WD(2) => 
        \Core8051S_sub_1_MEMDATAO_[2]\, WD(1) => 
        \Core8051S_sub_1_MEMDATAO_[1]\, WD(0) => 
        \Core8051S_sub_1_MEMDATAO_[0]\, RD(7) => 
        \Memory_0_RD_[7]\, RD(6) => \Memory_0_RD_[6]\, RD(5) => 
        \Memory_0_RD_[5]\, RD(4) => \Memory_0_RD_[4]\, RD(3) => 
        \Memory_0_RD_[3]\, RD(2) => \Memory_0_RD_[2]\, RD(1) => 
        \Memory_0_RD_[1]\, RD(0) => \Memory_0_RD_[0]\, ADD(17)
         => GND_net, ADD(16) => GND_net, ADD(15) => 
        \MEMADDR_[15]\, ADD(14) => \MEMADDR_[14]\, ADD(13) => 
        \MEMADDR_[13]\, ADD(12) => \MEMADDR_[12]\, ADD(11) => 
        \MEMADDR_[11]\, ADD(10) => \MEMADDR_[10]\, ADD(9) => 
        \MEMADDR_[9]\, ADD(8) => \MEMADDR_[8]\, ADD(7) => 
        \MEMADDR_[7]\, ADD(6) => \MEMADDR_[6]\, ADD(5) => 
        \MEMADDR_[5]\, ADD(4) => \MEMADDR_[4]\, ADD(3) => 
        \MEMADDR_[3]\, ADD(2) => \MEMADDR_[2]\, ADD(1) => 
        \MEMADDR_[1]\, ADD(0) => \MEMADDR_[0]\, EXT_DATA(7) => 
        EXT_DATA(7), EXT_DATA(6) => EXT_DATA(6), EXT_DATA(5) => 
        EXT_DATA(5), EXT_DATA(4) => EXT_DATA(4), EXT_DATA(3) => 
        EXT_DATA(3), EXT_DATA(2) => EXT_DATA(2), EXT_DATA(1) => 
        EXT_DATA(1), EXT_DATA(0) => EXT_DATA(0));
    
    Core8051S_sub_1 : Core8051S_sub
      port map(SYSCLK => clk_pll_0_GLA, AV0 => AV0, AC0 => AC0, 
        AG0 => OPEN, AT0 => AT0, AV1 => AV1, AC1 => AC1, AG1 => 
        OPEN, AT1 => AT1, AV2 => AV2, AC2 => AC2, AG2 => OPEN, 
        AT2 => AT2, AV3 => AV3, AC3 => AC3, AG3 => OPEN, AT3 => 
        AT3, AV4 => AV4, AC4 => AC4, AG4 => OPEN, AT4 => AT4, AV5
         => AV5, AC5 => AC5, AG5 => OPEN, AT5 => AT5, AV6 => AV6, 
        AC6 => AC6, AG6 => OPEN, AT6 => AT6, AV7 => AV7, AC7 => 
        AC7, AG7 => OPEN, AT7 => AT7, AV8 => AV8, AC8 => AC8, AG8
         => OPEN, AT8 => AT8, AV9 => AV9, AC9 => AC9, AG9 => OPEN, 
        AT9 => AT9, ATRETURN0 => ATRETURN0, ATRETURN1 => 
        ATRETURN1, ATRETURN2 => ATRETURN2, ATRETURN3 => ATRETURN3, 
        ATRETURN4 => ATRETURN4, VAREF => VAREF, GNDREF => GND_net, 
        MEMPSACKI => Memory_0_NVM_BUSY_N, MEMACKI => VCC_net, 
        MEMPSRD => Core8051S_sub_1_MEMPSRD, MEMWR => 
        Core8051S_sub_1_MEMWR, MEMRD => Core8051S_sub_1_MEMRD, 
        TCK => TCK, TMS => TMS, TDI => TDI, TDO => TDO, TRSTN => 
        TRSTN, BREAKIN => GND_net, BREAKOUT => OPEN, TRIGOUT => 
        OPEN, AUXOUT => OPEN, DBGMEMPSWR => 
        Core8051S_sub_1_DBGMEMPSWR, RX => RX, TX => TX, MOVX => 
        OPEN, EXTIRQ => GND_net, NSYSRESET => 
        reset_delay_0_Shiftout, MEMDATAI(7) => \Memory_0_RD_[7]\, 
        MEMDATAI(6) => \Memory_0_RD_[6]\, MEMDATAI(5) => 
        \Memory_0_RD_[5]\, MEMDATAI(4) => \Memory_0_RD_[4]\, 
        MEMDATAI(3) => \Memory_0_RD_[3]\, MEMDATAI(2) => 
        \Memory_0_RD_[2]\, MEMDATAI(1) => \Memory_0_RD_[1]\, 
        MEMDATAI(0) => \Memory_0_RD_[0]\, MEMDATAO(7) => 
        \Core8051S_sub_1_MEMDATAO_[7]\, MEMDATAO(6) => 
        \Core8051S_sub_1_MEMDATAO_[6]\, MEMDATAO(5) => 
        \Core8051S_sub_1_MEMDATAO_[5]\, MEMDATAO(4) => 
        \Core8051S_sub_1_MEMDATAO_[4]\, MEMDATAO(3) => 
        \Core8051S_sub_1_MEMDATAO_[3]\, MEMDATAO(2) => 
        \Core8051S_sub_1_MEMDATAO_[2]\, MEMDATAO(1) => 
        \Core8051S_sub_1_MEMDATAO_[1]\, MEMDATAO(0) => 
        \Core8051S_sub_1_MEMDATAO_[0]\, MEMADDR(15) => 
        \MEMADDR_[15]\, MEMADDR(14) => \MEMADDR_[14]\, 
        MEMADDR(13) => \MEMADDR_[13]\, MEMADDR(12) => 
        \MEMADDR_[12]\, MEMADDR(11) => \MEMADDR_[11]\, 
        MEMADDR(10) => \MEMADDR_[10]\, MEMADDR(9) => 
        \MEMADDR_[9]\, MEMADDR(8) => \MEMADDR_[8]\, MEMADDR(7)
         => \MEMADDR_[7]\, MEMADDR(6) => \MEMADDR_[6]\, 
        MEMADDR(5) => \MEMADDR_[5]\, MEMADDR(4) => \MEMADDR_[4]\, 
        MEMADDR(3) => \MEMADDR_[3]\, MEMADDR(2) => \MEMADDR_[2]\, 
        MEMADDR(1) => \MEMADDR_[1]\, MEMADDR(0) => \MEMADDR_[0]\, 
        MEMBANK(3) => GND_net, MEMBANK(2) => GND_net, MEMBANK(1)
         => GND_net, MEMBANK(0) => GND_net, dataOut(31) => nc8, 
        dataOut(30) => nc13, dataOut(29) => nc30, dataOut(28) => 
        nc16, dataOut(27) => nc19, dataOut(26) => nc25, 
        dataOut(25) => nc20, dataOut(24) => nc27, dataOut(23) => 
        nc9, dataOut(22) => nc22, dataOut(21) => nc28, 
        dataOut(20) => nc14, dataOut(19) => nc5, dataOut(18) => 
        nc21, dataOut(17) => nc15, dataOut(16) => nc3, 
        dataOut(15) => nc10, dataOut(14) => nc7, dataOut(13) => 
        nc17, dataOut(12) => nc4, dataOut(11) => nc12, 
        dataOut(10) => nc2, dataOut(9) => nc23, dataOut(8) => 
        nc18, dataOut(7) => nc26, dataOut(6) => nc6, dataOut(5)
         => nc29, dataOut(4) => nc11, dataOut(3) => dataOut(3), 
        dataOut(2) => dataOut(2), dataOut(1) => dataOut(1), 
        dataOut(0) => dataOut(0), dataIn(31) => GND_net, 
        dataIn(30) => GND_net, dataIn(29) => GND_net, dataIn(28)
         => GND_net, dataIn(27) => GND_net, dataIn(26) => GND_net, 
        dataIn(25) => GND_net, dataIn(24) => GND_net, dataIn(23)
         => GND_net, dataIn(22) => GND_net, dataIn(21) => GND_net, 
        dataIn(20) => GND_net, dataIn(19) => GND_net, dataIn(18)
         => GND_net, dataIn(17) => GND_net, dataIn(16) => GND_net, 
        dataIn(15) => GND_net, dataIn(14) => GND_net, dataIn(13)
         => GND_net, dataIn(12) => GND_net, dataIn(11) => GND_net, 
        dataIn(10) => GND_net, dataIn(9) => GND_net, dataIn(8)
         => GND_net, dataIn(7) => GND_net, dataIn(6) => GND_net, 
        dataIn(5) => GND_net, dataIn(4) => GND_net, dataIn(3) => 
        dataIn(3), dataIn(2) => dataIn(2), dataIn(1) => dataIn(1), 
        dataIn(0) => dataIn(0));
    
    clk_pll_0 : clk_pll
      port map(POWERDOWN => VCC_net, CLKA => EXTCLK, LOCK => 
        clk_pll_0_LOCK, GLA => clk_pll_0_GLA, OADIVRST => VCC_net);
    
    reset_delay_0 : reset_delay
      port map(Shiften => GND_net, Shiftin => clk_pll_0_LOCK, 
        Aclr => INBUF_0_Y, Clock => clk_pll_0_GLA, Shiftout => 
        reset_delay_0_Shiftout);
    
    INBUF_0 : INBUF
      port map(PAD => NSYSRESET, Y => INBUF_0_Y);
    

end DEF_ARCH; 
