----------------------------------------------------------------------
-- Created by Actel SmartDesign Fri Mar 13 14:41:17 2009
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component M1AFS_ADV_8051S_TUT_TOP
        -- ports
        port( 
            -- Inputs
            SW0 : in std_logic;
            TCK : in std_logic;
            TDI : in std_logic;
            TMS : in std_logic;
            TRSTN : in std_logic;
            RX : in std_logic;
            AV0 : in std_logic;
            AV1 : in std_logic;
            AV8 : in std_logic;
            AV2 : in std_logic;
            AV3 : in std_logic;
            AV4 : in std_logic;
            AV5 : in std_logic;
            AV6 : in std_logic;
            AV7 : in std_logic;
            AV9 : in std_logic;
            AC0 : in std_logic;
            AT0 : in std_logic;
            AC1 : in std_logic;
            AT1 : in std_logic;
            AC2 : in std_logic;
            AT2 : in std_logic;
            AC3 : in std_logic;
            AT3 : in std_logic;
            AC4 : in std_logic;
            AT4 : in std_logic;
            AC5 : in std_logic;
            AT5 : in std_logic;
            AC6 : in std_logic;
            AT6 : in std_logic;
            AC7 : in std_logic;
            AT7 : in std_logic;
            AC8 : in std_logic;
            AT8 : in std_logic;
            AC9 : in std_logic;
            AT9 : in std_logic;
            ATRETURN0 : in std_logic;
            ATRETURN1 : in std_logic;
            ATRETURN2 : in std_logic;
            ATRETURN3 : in std_logic;
            ATRETURN4 : in std_logic;
            EXTCLK : in std_logic;
            NSYSRESET : in std_logic;
            dataIn : in std_logic_vector(3 downto 0);

            -- Outputs
            EXT_RAM_CS_N : out std_logic;
            EXT_RAM_RD_N : out std_logic;
            EXT_RAM_WR_N : out std_logic;
            MEMADDR16 : out std_logic;
            TDO : out std_logic;
            TX : out std_logic;
            SRAM_BHE0_N : out std_logic;
            SRAM_BLE0_N : out std_logic;
            SRAM_BHE1_N : out std_logic;
            SRAM_BLE1_N : out std_logic;
            MEMADDR17 : out std_logic;
            MEMADDR18 : out std_logic;
            MEMADDR19 : out std_logic;
            SRAM_CE2 : out std_logic;
            Flash_CE0 : out std_logic;
            Flash_CE1 : out std_logic;
            Flash_CE2 : out std_logic;
            Flash_CE3 : out std_logic;
            Flash_CE4 : out std_logic;
            Flash_CE5 : out std_logic;
            Flash_RST_N : out std_logic;
            Flash_OE_N : out std_logic;
            Flash_WE_N : out std_logic;
            Flash_VPEN : out std_logic;
            Flash_BYTE_1 : out std_logic;
            Flash_BYTE_2 : out std_logic;
            MEMADDR : out std_logic_vector(15 downto 0);
            dataOut : out std_logic_vector(3 downto 0);

            -- Inouts
            VAREF : inout std_logic;
            EXT_DATA : inout std_logic_vector(7 downto 0)

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2);

    -- Instantiate Unit Under Test:  M1AFS_ADV_8051S_TUT_TOP
    M1AFS_ADV_8051S_TUT_TOP_0 : M1AFS_ADV_8051S_TUT_TOP
        -- port map
        port map( 
            -- Inputs
            SW0 => '0',
            TCK => '0',
            TDI => '0',
            TMS => '0',
            TRSTN => NSYSRESET,
            RX => '0',
            AV0 => '0',
            AV1 => '0',
            AV8 => '0',
            AV2 => '0',
            AV3 => '0',
            AV4 => '0',
            AV5 => '0',
            AV6 => '0',
            AV7 => '0',
            AV9 => '0',
            AC0 => '0',
            AT0 => '0',
            AC1 => '0',
            AT1 => '0',
            AC2 => '0',
            AT2 => '0',
            AC3 => '0',
            AT3 => '0',
            AC4 => '0',
            AT4 => '0',
            AC5 => '0',
            AT5 => '0',
            AC6 => '0',
            AT6 => '0',
            AC7 => '0',
            AT7 => '0',
            AC8 => '0',
            AT8 => '0',
            AC9 => '0',
            AT9 => '0',
            ATRETURN0 => '0',
            ATRETURN1 => '0',
            ATRETURN2 => '0',
            ATRETURN3 => '0',
            ATRETURN4 => '0',
            EXTCLK => SYSCLK,
            NSYSRESET => NSYSRESET,
            dataIn => (others=> '0'),

            -- Outputs
            EXT_RAM_CS_N =>  open,
            EXT_RAM_RD_N =>  open,
            EXT_RAM_WR_N =>  open,
            MEMADDR16 =>  open,
            TDO =>  open,
            TX =>  open,
            SRAM_BHE0_N =>  open,
            SRAM_BLE0_N =>  open,
            SRAM_BHE1_N =>  open,
            SRAM_BLE1_N =>  open,
            MEMADDR17 =>  open,
            MEMADDR18 =>  open,
            MEMADDR19 =>  open,
            SRAM_CE2 =>  open,
            Flash_CE0 =>  open,
            Flash_CE1 =>  open,
            Flash_CE2 =>  open,
            Flash_CE3 =>  open,
            Flash_CE4 =>  open,
            Flash_CE5 =>  open,
            Flash_RST_N =>  open,
            Flash_OE_N =>  open,
            Flash_WE_N =>  open,
            Flash_VPEN =>  open,
            Flash_BYTE_1 =>  open,
            Flash_BYTE_2 =>  open,
            MEMADDR => open,
            dataOut => open,

            -- Inouts
            VAREF =>  open,
            EXT_DATA => open

        );

end behavioral;

