----------------------------------------------------------------------
-- Created by Actel SmartDesign Fri Mar 13 14:41:05 2009
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component Memory
        -- ports
        port( 
            -- Inputs
            CLK : in std_logic;
            SW0 : in std_logic;
            MEMRD : in std_logic;
            MEMWR : in std_logic;
            PSRD : in std_logic;
            PSWR : in std_logic;
            WD : in std_logic_vector(7 downto 0);
            ADD : in std_logic_vector(17 downto 0);

            -- Outputs
            NVM_BUSY_N : out std_logic;
            EXT_RAM_CS_N : out std_logic;
            EXT_RAM_RD_N : out std_logic;
            EXT_RAM_WR_N : out std_logic;
            A16 : out std_logic;
            NVM_STATUS : out std_logic_vector(1 downto 0);
            RD : out std_logic_vector(7 downto 0);

            -- Inouts
            EXT_DATA : inout std_logic_vector(7 downto 0)

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2);

    -- Instantiate Unit Under Test:  Memory
    Memory_0 : Memory
        -- port map
        port map( 
            -- Inputs
            CLK => SYSCLK,
            SW0 => '0',
            MEMRD => '0',
            MEMWR => '0',
            PSRD => '0',
            PSWR => '0',
            WD => (others=> '0'),
            ADD => (others=> '0'),

            -- Outputs
            NVM_BUSY_N =>  open,
            EXT_RAM_CS_N =>  open,
            EXT_RAM_RD_N =>  open,
            EXT_RAM_WR_N =>  open,
            A16 =>  open,
            NVM_STATUS => open,
            RD => open,

            -- Inouts
            EXT_DATA => open

        );

end behavioral;

