-- Version: 8.5 8.5.0.34

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity reset_delay is 
    port(Shiften, Shiftin, Aclr, Clock : in std_logic;  Shiftout : 
        out std_logic) ;
end reset_delay;


architecture DEF_ARCH of  reset_delay is

    component MX2
        port(A, B, S : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component INV
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component DFN1C1
        port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic
        ) ;
    end component;

    signal Shiftout_1_net, INV_0_Y, DFN1C1_0_Q, MX2_1_Y, MX2_0_Y : std_logic ;
    begin   

    Shiftout <= Shiftout_1_net;
    
    MX2_0 : MX2
      port map(A => Shiftin, B => DFN1C1_0_Q, S => Shiften, Y => 
        MX2_0_Y);
    INV_0 : INV
      port map(A => Aclr, Y => INV_0_Y);
    DFN1C1_Shiftout : DFN1C1
      port map(D => MX2_1_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        Shiftout_1_net);
    DFN1C1_0 : DFN1C1
      port map(D => MX2_0_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_0_Q);
    MX2_1 : MX2
      port map(A => DFN1C1_0_Q, B => Shiftout_1_net, S => Shiften, 
        Y => MX2_1_Y);
end DEF_ARCH;
