library ieee;
use ieee.sTD_logic_1164.all;
library Fusion;
entity CORE8051S_IL0 is
port (wd: in stD_LOGIc_vector(19 downto 0);
RD: out STD_Logic_vector(19 downto 0);
WEN,Ren: in std_LOGIC;
CORE8051S_LL: in STD_Logic_vectoR(7 downto 0);
CORE8051S_il: in STD_Logic_vector(7 downto 0);
wclk,rclk: in STD_logic);
end CORE8051S_il0;

architecture CORE8051S_oi0 of CORE8051S_IL0 is

component INV
port (A: in std_loGIC := 'U';
Y: out STD_Logic);
end component;

component RAM512X18
generic (MEMORYFILE: string := "");
port (RADDR8,RADDR7,RADDR6,RADDR5,RADDR4,RADDR3,RADDR2,RADDR1,RADDR0,waddr8,WADDR7,WADDR6,WADDR5,WADDR4,WADDR3,WADDR2,WADDR1,WADDR0,WD17,WD16,WD15,WD14,WD13,wd12,WD11,WD10,wd9,WD8,wd7,WD6,wd5,wd4,WD3,wd2,Wd1,wd0,RW0,rw1,WW0,ww1,PIPE,Ren,wen,rclk,WCLK,RESET: in STD_logic := 'U';
RD17,RD16,rd15,RD14,rd13,RD12,rd11,RD10,Rd9,rd8,rd7,RD6,RD5,rd4,rd3,rd2,RD1,RD0: out std_logiC);
end component;

component VCC
port (Y: out STD_Logic);
end component;

component GND
port (Y: out STD_Logic);
end component;

signal CORE8051S_li0,CORE8051S_ii0,CORE8051S_o00,CORE8051S_l00: STD_logic;

begin
CORE8051S_i00: VCC
port map (Y => CORE8051S_O00);
CORE8051S_O10: GND
port map (Y => CORE8051S_L00);
CORE8051S_L10: INV
port map (A => ren,
Y => CORE8051S_II0);
CORE8051S_i10: RAM512X18
port map (rADDR8 => CORE8051S_l00,
RADDR7 => CORE8051S_il(7),
RADDR6 => CORE8051S_il(6),
RADDR5 => CORE8051S_il(5),
RADDR4 => CORE8051S_il(4),
RADDR3 => CORE8051S_IL(3),
RADDR2 => CORE8051S_IL(2),
RADDR1 => CORE8051S_il(1),
RADDR0 => CORE8051S_il(0),
Waddr8 => CORE8051S_l00,
WADDR7 => CORE8051S_LL(7),
WADDR6 => CORE8051S_ll(6),
WADDR5 => CORE8051S_ll(5),
WADDR4 => CORE8051S_LL(4),
WADDR3 => CORE8051S_ll(3),
WADDR2 => CORE8051S_ll(2),
WADDR1 => CORE8051S_LL(1),
WADDR0 => CORE8051S_LL(0),
wD17 => CORE8051S_l00,
Wd16 => CORE8051S_l00,
WD15 => CORE8051S_L00,
Wd14 => CORE8051S_L00,
Wd13 => CORE8051S_l00,
Wd12 => CORE8051S_L00,
wd11 => CORE8051S_l00,
WD10 => CORE8051S_l00,
WD9 => wd(9),
wD8 => Wd(8),
wd7 => WD(7),
wD6 => WD(6),
wD5 => WD(5),
WD4 => Wd(4),
wd3 => wd(3),
wD2 => wd(2),
WD1 => WD(1),
wd0 => WD(0),
RW0 => CORE8051S_L00,
rw1 => CORE8051S_O00,
ww0 => CORE8051S_l00,
ww1 => CORE8051S_O00,
pIPE => CORE8051S_L00,
ren => CORE8051S_II0,
wEN => CORE8051S_li0,
RClk => RClk,
wclK => Wclk,
RESET => CORE8051S_o00,
rd17 => open ,
RD16 => open ,
rd15 => open ,
Rd14 => open ,
rd13 => open ,
rd12 => open ,
Rd11 => open ,
rd10 => open ,
RD9 => RD(9),
RD8 => rd(8),
RD7 => RD(7),
Rd6 => rd(6),
Rd5 => RD(5),
RD4 => RD(4),
RD3 => RD(3),
RD2 => rd(2),
rd1 => RD(1),
rd0 => Rd(0));
CORE8051S_OO1: INV
port map (A => wen,
Y => CORE8051S_LI0);
CORE8051S_LO1: RAM512X18
port map (RAddr8 => CORE8051S_L00,
RADDR7 => CORE8051S_il(7),
RADDR6 => CORE8051S_IL(6),
RADDR5 => CORE8051S_IL(5),
RADDR4 => CORE8051S_Il(4),
RADDR3 => CORE8051S_il(3),
RADDR2 => CORE8051S_iL(2),
RADDR1 => CORE8051S_il(1),
RADDR0 => CORE8051S_il(0),
WADDR8 => CORE8051S_l00,
WADDR7 => CORE8051S_ll(7),
WADDR6 => CORE8051S_ll(6),
WADDR5 => CORE8051S_LL(5),
WADDR4 => CORE8051S_LL(4),
WADDR3 => CORE8051S_LL(3),
WADDR2 => CORE8051S_ll(2),
WADDR1 => CORE8051S_ll(1),
WADDR0 => CORE8051S_ll(0),
wd17 => CORE8051S_L00,
wd16 => CORE8051S_L00,
Wd15 => CORE8051S_L00,
WD14 => CORE8051S_l00,
Wd13 => CORE8051S_L00,
wD12 => CORE8051S_l00,
wd11 => CORE8051S_l00,
wd10 => CORE8051S_l00,
WD9 => wd(19),
wd8 => wd(18),
WD7 => Wd(17),
wd6 => wd(16),
WD5 => WD(15),
WD4 => wD(14),
WD3 => wd(13),
wd2 => WD(12),
wd1 => WD(11),
wd0 => WD(10),
rw0 => CORE8051S_l00,
rW1 => CORE8051S_O00,
WW0 => CORE8051S_l00,
WW1 => CORE8051S_O00,
pipe => CORE8051S_l00,
ren => CORE8051S_ii0,
WEN => CORE8051S_li0,
rCLK => Rclk,
wclk => WCLK,
RESET => CORE8051S_o00,
RD17 => open ,
RD16 => open ,
rd15 => open ,
RD14 => open ,
RD13 => open ,
RD12 => open ,
RD11 => open ,
RD10 => open ,
Rd9 => RD(19),
rd8 => rd(18),
RD7 => rd(17),
Rd6 => rd(16),
Rd5 => RD(15),
rd4 => rd(14),
RD3 => RD(13),
rd2 => rd(12),
RD1 => rd(11),
Rd0 => rd(10));
end CORE8051S_oi0;
